// DeleteHyperlinkFrame.jsx

/*
    
У гиперссылок снимаются рамки.
Это только для гиперссылок, отмеченных меткой "Hl&Bm"
Исчезновение прогрессбара означает, что работа выполнена.

*/

#include "BmHlData.jsxinc"

if (app.documents.length == 0) {
    alert(mes002, mes081);
    exit();
    }
var _doc = app.activeDocument;
var hlArr, bmArr;
hlArr = _doc.hyperlinks.everyItem().getElements();    
if (hlArr.length > 0) { // hlArr
    var pBar = new ProgressBar(mes081);
    pBar.reset(mes083 +hlArr.length , hlArr.length);  
    for (var h = hlArr.length-1; h >= 0; h--, pBar.hit()) { // h--
        if (hlArr[h].label != hyperlinkLabel) continue;
        hlArr[h].visible = false; 
        } // h--
    pBar.close();
    exit();
    }  // hlArr
else alert(mes082);
exit();
    
    